Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90	(revision 5158)
@@ -53,6 +53,6 @@
 ! mr_ozone,                             !Concentration ozone (Kg/Kg)
 ! dem_s                                 !Cloud optical emissivity
-! dtau_s               			!Cloud optical thickness
-! emsfc_lw = 1.        			!Surface emissivity dans radlwsw.F90
+! dtau_s                           !Cloud optical thickness
+! emsfc_lw = 1.                    !Surface emissivity dans radlwsw.F90
 
 
@@ -95,40 +95,40 @@
 
   ! Local variables
-  character(len=64),PARAMETER	:: cosp_input_nl  = 'cospv2_input_nl.txt'
-  character(len=64),PARAMETER  	:: cosp_output_nl = 'cospv2_output_nl.txt'
-
-  integer, save 	       	:: isccp_topheight, isccp_topheight_direction, overlap
-  integer, save  	       	:: Ncolumns    	    	! Number of subcolumns in SCOPS
-  integer, save 	       	:: Npoints            	! Number of gridpoints
+  character(len=64),PARAMETER    :: cosp_input_nl  = 'cospv2_input_nl.txt'
+  character(len=64),PARAMETER      :: cosp_output_nl = 'cospv2_output_nl.txt'
+
+  integer, save                :: isccp_topheight, isccp_topheight_direction, overlap
+  integer, save                 :: Ncolumns                ! Number of subcolumns in SCOPS
+  integer, save                :: Npoints                ! Number of gridpoints
 !$OMP THREADPRIVATE(Npoints)
-  integer, save			:: Nlevels		! Number of model vertical levels
-  integer  			:: Nptslmdz, Nlevlmdz  	! Nb de points issus de physiq.F
-  integer, save 		:: Npoints_it   	! Max number of gridpoints to be 
-  	   			   			! processed in one iteration
-  type(cosp_config), save 	:: cfg          	! Variable qui contient les cles
-  		     		   			! logiques des simulateurs et des
-							! diagnostics, definie dans:
-							! lmdz_cosp_construct_destroy_mod
+  integer, save            :: Nlevels        ! Number of model vertical levels
+  integer              :: Nptslmdz, Nlevlmdz      ! Nb de points issus de physiq.F
+  integer, save         :: Npoints_it       ! Max number of gridpoints to be
+                                    ! processed in one iteration
+  type(cosp_config), save     :: cfg              ! Variable qui contient les cles
+                                      ! logiques des simulateurs et des
+                            ! diagnostics, definie dans:
+                            ! lmdz_cosp_construct_destroy_mod
 !$OMP THREADPRIVATE(cfg)
 
-  integer			:: t0, t1, count_rate, count_max
-  real(wp), save 		:: cloudsat_radar_freq, cloudsat_k2, rttov_ZenAng, co2, &
-  	    			   ch4, n2o, co, emsfc_lw
+  integer            :: t0, t1, count_rate, count_max
+  real(wp), save         :: cloudsat_radar_freq, cloudsat_k2, rttov_ZenAng, co2, &
+                         ch4, n2o, co, emsfc_lw
 !$OMP THREADPRIVATE(emsfc_lw)
 
-  integer, dimension(RTTOV_MAX_CHANNELS), save	 :: rttov_Channels
+  integer, dimension(RTTOV_MAX_CHANNELS), save     :: rttov_Channels
   real(wp), dimension(RTTOV_MAX_CHANNELS), save  :: rttov_Surfem
-  integer, save 			   	 :: surface_radar, use_mie_tables, &
-  	   					    cloudsat_use_gas_abs, cloudsat_do_ray, &
-						    melt_lay
-  integer, save 				 :: lidar_ice_type
-  integer, save 				 :: rttov_platform, rttov_satellite, &
-  	   					    rttov_Instrument, rttov_Nchannels
-  logical, save 				 :: use_vgrid_in, csat_vgrid_in, &
-  	   					    use_precipitation_fluxes
+  integer, save                     :: surface_radar, use_mie_tables, &
+                                 cloudsat_use_gas_abs, cloudsat_do_ray, &
+                            melt_lay
+  integer, save                  :: lidar_ice_type
+  integer, save                  :: rttov_platform, rttov_satellite, &
+                                 rttov_Instrument, rttov_Nchannels
+  logical, save                  :: use_vgrid_in, csat_vgrid_in, &
+                                 use_precipitation_fluxes
 
 ! Declaration necessaires pour les sorties IOIPSL
-  real        	:: ecrit_day, ecrit_hf, ecrit_mth, missing_val
-  logical 	:: ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, ok_all_xml
+  REAL            :: ecrit_day, ecrit_hf, ecrit_mth, missing_val
+  logical     :: ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, ok_all_xml
   logical, save :: debut_cosp=.true.
 !$OMP THREADPRIVATE(debut_cosp)
@@ -142,19 +142,19 @@
 
 !-----------------------------  Input variables from LMDZ-GCM  -------------------------------
-  integer                             	     :: overlaplmdz   ! overlap type: 1=max, 
-  					       		      ! 2=rand, 3=max/rand
-  real, dimension(Nptslmdz,Nlevlmdz) 	     :: phi, p, ph, T, sh, rh, tca, cca, mr_lsliq,   &
-  					        mr_lsice, mr_ccliq, mr_ccice, fl_lsrain,     & 
-                                       	        fl_lssnow, fl_ccrain, fl_ccsnow, fl_lsgrpl,  &
-                                       	        zlev, zlev_half, mr_ozone, radliq, radice,   &
-					        dtau_s, dem_s, dtau_c, dem_c, ref_liq, ref_ice
-  real, dimension(Nptslmdz,Nlevlmdz) 	     :: fl_lsrainI, fl_lssnowI, fl_ccrainI, fl_ccsnowI
-  real, dimension(Nptslmdz)        	     :: lon, lat, skt, fracTerLic, u_wind, v_wind, &
-  					        phis, sunlit
-  real, dimension(Nptslmdz)        	     :: land ! variables intermediaire pour masque TerLic
-  real, dimension(Nlevlmdz)        	     :: presnivs
-  integer                         	     :: itap, k, ip
-  real                            	     :: dtime, freq_cosp
-  real, dimension(2)               	     :: time_bnds
+  integer                                      :: overlaplmdz   ! overlap type: 1=max,
+                                           ! 2=rand, 3=max/rand
+  real, dimension(Nptslmdz,Nlevlmdz)          :: phi, p, ph, T, sh, rh, tca, cca, mr_lsliq,   &
+                              mr_lsice, mr_ccliq, mr_ccice, fl_lsrain,     &
+                                                   fl_lssnow, fl_ccrain, fl_ccsnow, fl_lsgrpl,  &
+                                                   zlev, zlev_half, mr_ozone, radliq, radice,   &
+                            dtau_s, dem_s, dtau_c, dem_c, ref_liq, ref_ice
+  real, dimension(Nptslmdz,Nlevlmdz)          :: fl_lsrainI, fl_lssnowI, fl_ccrainI, fl_ccsnowI
+  real, dimension(Nptslmdz)                 :: lon, lat, skt, fracTerLic, u_wind, v_wind, &
+                              phis, sunlit
+  real, dimension(Nptslmdz)                 :: land ! variables intermediaire pour masque TerLic
+  real, dimension(Nlevlmdz)                 :: presnivs
+  integer                                  :: itap, k, ip
+  REAL                                     :: dtime, freq_cosp
+  real, dimension(2)                        :: time_bnds
 
   double precision                           :: d_dtime
@@ -169,20 +169,20 @@
   logical :: &
        Lsingle     = .true.,  & ! True if using MMF_v3_single_moment CLOUDSAT
-       		     	      	! microphysical scheme (default)
+                                  ! microphysical scheme (default)
        Ldouble     = .false.    ! True if using MMF_v3.5_two_moment CLOUDSAT 
-       		     		! microphysical scheme
-  type(size_distribution), save   	     :: sd            ! Hydrometeor description
+                            ! microphysical scheme
+  type(size_distribution), save            :: sd            ! Hydrometeor description
 !$OMP THREADPRIVATE(sd)
-  type(radar_cfg), save			     :: rcfg_cloudsat ! Radar configuration
+  type(radar_cfg), save                 :: rcfg_cloudsat ! Radar configuration
 !$OMP THREADPRIVATE(rcfg_cloudsat)
-  real, dimension(Nptslmdz,Nlevlmdz,N_HYDRO) :: Reff	      ! Liquid and Ice particles
-  					     		      ! effective radius
-  type(cosp_outputs)			     :: cospOUT       ! COSP simulator outputs
-  type(cosp_optical_inputs) 		     :: cospIN        ! COSP optical (or derived?)
-  					     		      ! fields needed by simulators
-  type(cosp_column_inputs) 		     :: cospstateIN   ! COSP model fields needed
-  					     		      ! by simulators
-  character(len=256), dimension(100)	     :: cosp_status
-  character(len=64), save      		     :: cloudsat_micro_scheme
+  real, dimension(Nptslmdz,Nlevlmdz,N_HYDRO) :: Reff          ! Liquid and Ice particles
+                                         ! effective radius
+  type(cosp_outputs)                 :: cospOUT       ! COSP simulator outputs
+  type(cosp_optical_inputs)              :: cospIN        ! COSP optical (or derived?)
+                                         ! fields needed by simulators
+  type(cosp_column_inputs)              :: cospstateIN   ! COSP model fields needed
+                                         ! by simulators
+  character(len=256), dimension(100)         :: cosp_status
+  character(len=64), save                   :: cloudsat_micro_scheme
 
   ! Indices to address arrays of LS and CONV hydrometeors
@@ -271,5 +271,5 @@
   print*,' Cles des differents simulateurs cosp a itap :',itap
   print*,'cfg%Lcloudsat, cfg%Lcalipso, cfg%LgrLidar532, cfg%Latlid, cfg%Lparasol, &
-	cfg%Lisccp, cfg%Lmisr, cfg%Lmodis, cfg%Lrttov', &
+    cfg%Lisccp, cfg%Lmisr, cfg%Lmodis, cfg%Lrttov', &
         cfg%Lcloudsat, cfg%Lcalipso, cfg%LgrLidar532, cfg%Latlid, cfg%Lparasol, &
         cfg%Lisccp, cfg%Lmisr, cfg%Lmodis, cfg%Lrttov
@@ -340,7 +340,7 @@
 print*,' Cles des differents simulateurs cosp a itap :',itap
 print*,'cfg%Lcloudsat, cfg%Lcalipso, cfg%LgrLidar532, cfg%Latlid, cfg%Lparasol, &
-	cfg%Lisccp, cfg%Lmisr, cfg%Lmodis, cfg%Lrttov', &
+    cfg%Lisccp, cfg%Lmisr, cfg%Lmodis, cfg%Lrttov', &
         cfg%Lcloudsat, cfg%Lcalipso, cfg%LgrLidar532, cfg%Latlid, cfg%Lparasol, &
-	cfg%Lisccp, cfg%Lmisr, cfg%Lmodis, cfg%Lrttov
+    cfg%Lisccp, cfg%Lmisr, cfg%Lmodis, cfg%Lrttov
 
   endif !(itap.gt.1).and.(first_write)
@@ -369,6 +369,6 @@
 
         zlev_half(:,1) = phis(:)/9.81
-        do k = 2, Nlevels
-          do ip = 1, Npoints
+        DO k = 2, Nlevels
+          DO ip = 1, Npoints
            zlev_half(ip,k) = phi(ip,k)/9.81 + &
                (phi(ip,k)-phi(ip,k-1))/9.81 * (ph(ip,k)-p(ip,k)) / (p(ip,k)-p(ip,k-1))
@@ -383,5 +383,5 @@
 
 ! 3) Masque terre/mer a partir de la variable fracTerLic
-        do ip = 1, Npoints
+        DO ip = 1, Npoints
           if (fracTerLic(ip).ge.0.5) then
              land(ip) = 1.
@@ -445,19 +445,19 @@
     call construct_cospstateIN(Npoints,Nlevels,0,cospstateIN)
 
-    cospstateIN%lat                 		        = lat(1:Npoints)
-    cospstateIN%lon                     		= lon(1:Npoints) 
-    cospstateIN%at              	      		= t(1:Npoints,Nlevels:1:-1) 
-    cospstateIN%qv              	     		= sh(1:Npoints,Nlevels:1:-1)
-    cospstateIN%o3              	      		= mr_ozone(1:Npoints,Nlevels:1:-1)  
-    cospstateIN%sunlit          	      		= sunlit(1:Npoints)
-    cospstateIN%skt             	       		= skt(1:Npoints)
-    cospstateIN%land            	     		= land(1:Npoints)
-    cospstateIN%surfelev            	     		= zlev_half(1:Npoints,1)
-    cospstateIN%pfull           	      		= p(1:Npoints,Nlevels:1:-1)
-    cospstateIN%phalf(1:Npoints,1)	                = 0._wp
-    cospstateIN%phalf(1:Npoints,2:Nlevels+1)	        = ph(1:Npoints,Nlevels:1:-1)  
-    cospstateIN%hgt_matrix                  		= zlev(1:Npoints,Nlevels:1:-1) 
-    cospstateIN%hgt_matrix_half(1:Npoints,Nlevels+1) 	= 0._wp
-    cospstateIN%hgt_matrix_half(1:Npoints,1:Nlevels) 	= zlev_half(1:Npoints,Nlevels:1:-1) 
+    cospstateIN%lat                                 = lat(1:Npoints)
+    cospstateIN%lon                             = lon(1:Npoints)
+    cospstateIN%at                                = t(1:Npoints,Nlevels:1:-1)
+    cospstateIN%qv                               = sh(1:Npoints,Nlevels:1:-1)
+    cospstateIN%o3                                = mr_ozone(1:Npoints,Nlevels:1:-1)
+    cospstateIN%sunlit                            = sunlit(1:Npoints)
+    cospstateIN%skt                                = skt(1:Npoints)
+    cospstateIN%land                             = land(1:Npoints)
+    cospstateIN%surfelev                             = zlev_half(1:Npoints,1)
+    cospstateIN%pfull                             = p(1:Npoints,Nlevels:1:-1)
+    cospstateIN%phalf(1:Npoints,1)                    = 0._wp
+    cospstateIN%phalf(1:Npoints,2:Nlevels+1)            = ph(1:Npoints,Nlevels:1:-1)
+    cospstateIN%hgt_matrix                          = zlev(1:Npoints,Nlevels:1:-1)
+    cospstateIN%hgt_matrix_half(1:Npoints,Nlevels+1)     = 0._wp
+    cospstateIN%hgt_matrix_half(1:Npoints,1:Nlevels)     = zlev_half(1:Npoints,Nlevels:1:-1)
 
 
@@ -483,21 +483,21 @@
 !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-    call subsample_and_optics(cfg, Npoints, Nlevels, Ncolumns, N_HYDRO,overlap,	&
-        		      use_precipitation_fluxes, lidar_ice_type, sd, &
-			      tca(1:Npoints,Nlevels:1:-1), cca(1:Npoints,Nlevels:1:-1), &
-           		      fl_lsrain(1:Npoints,Nlevels:1:-1), &
-			      fl_lssnow(1:Npoints,Nlevels:1:-1), &
-			      fl_lsgrpl(1:Npoints,Nlevels:1:-1), &
-			      fl_ccrain(1:Npoints,Nlevels:1:-1), &
-          		      fl_ccsnow(1:Npoints,Nlevels:1:-1), &
-			      mr_lsliq(1:Npoints,Nlevels:1:-1), &
-			      mr_lsice(1:Npoints,Nlevels:1:-1), &
-			      mr_ccliq(1:Npoints,Nlevels:1:-1), &
-			      mr_ccice(1:Npoints,Nlevels:1:-1), &
-             		      Reff(1:Npoints,Nlevels:1:-1,:), &
-			      dtau_c(1:Npoints,Nlevels:1:-1), &
-			      dtau_s(1:Npoints,Nlevels:1:-1), &
-			      dem_c(1:Npoints,Nlevels:1:-1), &
-			      dem_s(1:Npoints,Nlevels:1:-1), cospstateIN, cospIN)
+    call subsample_and_optics(cfg, Npoints, Nlevels, Ncolumns, N_HYDRO,overlap,    &
+                      use_precipitation_fluxes, lidar_ice_type, sd, &
+                  tca(1:Npoints,Nlevels:1:-1), cca(1:Npoints,Nlevels:1:-1), &
+                         fl_lsrain(1:Npoints,Nlevels:1:-1), &
+                  fl_lssnow(1:Npoints,Nlevels:1:-1), &
+                  fl_lsgrpl(1:Npoints,Nlevels:1:-1), &
+                  fl_ccrain(1:Npoints,Nlevels:1:-1), &
+                        fl_ccsnow(1:Npoints,Nlevels:1:-1), &
+                  mr_lsliq(1:Npoints,Nlevels:1:-1), &
+                  mr_lsice(1:Npoints,Nlevels:1:-1), &
+                  mr_ccliq(1:Npoints,Nlevels:1:-1), &
+                  mr_ccice(1:Npoints,Nlevels:1:-1), &
+                           Reff(1:Npoints,Nlevels:1:-1,:), &
+                  dtau_c(1:Npoints,Nlevels:1:-1), &
+                  dtau_s(1:Npoints,Nlevels:1:-1), &
+                  dem_c(1:Npoints,Nlevels:1:-1), &
+                  dem_s(1:Npoints,Nlevels:1:-1), cospstateIN, cospIN)
 
 
@@ -531,5 +531,5 @@
                                    ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, ok_all_xml, &
                                    ecrit_mth, ecrit_day, ecrit_hf, use_vgrid_in,         &
-			           niv_sorties, vgrid_z_in, zlev(1,:))
+                       niv_sorties, vgrid_z_in, zlev(1,:))
 
       !$OMP END MASTER
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_mod.F90	(revision 5158)
@@ -88,5 +88,5 @@
          "clcalipsoliq", "CALIPSO Liq-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsoun = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
-         "clcalipsoun", "CALIPSO Undef-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))	 
+         "clcalipsoun", "CALIPSO Undef-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsotmpice = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
          "clcalipsotmpice", "CALIPSO Ice-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))
@@ -109,5 +109,5 @@
          "clcalipsothin", "CALIPSO Thin profile Cloud Fraction", "%", (/ ('', i=1, 3) /))      
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsozopaque = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
-         "clcalipsozopaque", "CALIPSO z_opaque Fraction", "%", (/ ('', i=1, 3) /))	   
+         "clcalipsozopaque", "CALIPSO z_opaque Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsoopacity = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
          "clcalipsoopacity", "CALIPSO opacity Fraction", "%", (/ ('', i=1, 3) /))
@@ -311,5 +311,5 @@
                               ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, ok_all_xml,  &
                               ecrit_mth, ecrit_day, ecrit_hf, use_vgrid, Nlvgrid, vgrid_z_loc, &
-			      vgrid_mz)
+                  vgrid_mz)
 
   use mod_cosp_config, only : CLOUDSAT_DBZE_BINS, SR_BINS, CLOUDSAT_CFAD_ZE_MIN, PARASOL_NREFL, &
@@ -319,5 +319,5 @@
                               numMODISReffIceBins,reffICE_binCenters, &
                               numMODISReffLiqBins, reffLIQ_binCenters, pres_binCenters, &
-			      cloudsat_binCenters, calipso_binCenters
+                  cloudsat_binCenters, calipso_binCenters
 
   USE iophy
@@ -335,5 +335,5 @@
   real,dimension(Nlevlmdz) :: presnivs, vgrid_mz
   real,dimension(Nlvgrid)  :: vgrid_z_loc
-  real                     :: dtime, freq_cosp, ecrit_day, ecrit_hf, ecrit_mth 
+  REAL                     :: dtime, freq_cosp, ecrit_day, ecrit_hf, ecrit_mth
   logical                  :: use_vgrid
   logical                  :: ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, ok_all_xml
@@ -341,5 +341,5 @@
 !!! Variables locales
   integer                   :: idayref, iff, ii
-  real                      :: zjulian,zjulian_start
+  REAL                      :: zjulian,zjulian_start
   real(wp),dimension(Ncolumns)  :: column_ax
   CHARACTER(LEN=20), DIMENSION(3)  :: chfreq = (/ '1day', '1d  ', '3h  ' /)            
@@ -359,5 +359,5 @@
 
 !! Definition valeurs axes
-    do ii=1,Ncolumns
+    DO ii=1,Ncolumns
       column_ax(ii) = real(ii)
     enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_write_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_output_write_mod.F90	(revision 5158)
@@ -46,5 +46,5 @@
 !!! Variables d'entree
   integer               :: itap, Nlevlmdz, Ncolumns, Npoints, Nlvgrid
-  real                  :: freq_COSP, dtime, missing_val, missing_cosp
+  REAL                  :: freq_COSP, dtime, missing_val, missing_cosp
   type(cosp_config)     :: cfg     ! Control outputs
   type(cosp_outputs)    :: &
@@ -257,7 +257,7 @@
      where(cospOUT%calipso_cfad_sr == R_UNDEF) cospOUT%calipso_cfad_sr = missing_val
     
-     do icl=1,SR_BINS
-      do k=1,Nlvgrid
-       do ip=1,Npoints
+     DO icl=1,SR_BINS
+      DO k=1,Nlvgrid
+       DO ip=1,Npoints
         tmp_fi4da_cfadL(ip,k,icl)=cospOUT%calipso_cfad_sr(ip,icl,k)
        enddo
@@ -312,7 +312,7 @@
    if (cfg%LcfadLidarsr532gr) then
      where(cospOUT%grLidar532_cfad_sr == R_UNDEF) cospOUT%grLidar532_cfad_sr = missing_val
-     do icl=1,SR_BINS
-      do k=1,Nlvgrid
-       do ip=1,Npoints
+     DO icl=1,SR_BINS
+      DO k=1,Nlvgrid
+       DO ip=1,Npoints
          tmp_fi4da_cfadLgr(ip,k,icl)=cospOUT%grLidar532_cfad_sr(ip,icl,k)
        enddo
@@ -360,7 +360,7 @@
    if (cfg%LcfadLidarsr355) then
      where(cospOUT%atlid_cfad_sr == R_UNDEF) cospOUT%atlid_cfad_sr = missing_val
-     do icl=1,SR_BINS
-      do k=1,Nlvgrid
-       do ip=1,Npoints
+     DO icl=1,SR_BINS
+      DO k=1,Nlvgrid
+       DO ip=1,Npoints
           tmp_fi4da_cfadLatlid(ip,k,icl)=cospOUT%atlid_cfad_sr(ip,icl,k)
        enddo
@@ -456,7 +456,7 @@
    if (cfg%LcfadDbze94)  then
      where(cospOUT%cloudsat_cfad_ze == R_UNDEF) cospOUT%cloudsat_cfad_ze = missing_val  
-     do icl=1,CLOUDSAT_DBZE_BINS
-      do k=1,Nlvgrid
-       do ip=1,Npoints
+     DO icl=1,CLOUDSAT_DBZE_BINS
+      DO k=1,Nlvgrid
+       DO ip=1,Npoints
          tmp_fi4da_cfadR(ip,k,icl)=cospOUT%cloudsat_cfad_ze(ip,icl,k)
        enddo
@@ -531,7 +531,7 @@
    where(cospOUT%misr_cldarea == R_UNDEF) cospOUT%misr_cldarea = missing_val
 
-   do icl=1,numMISRHgtBins
-      do k=1,Nlvgrid
-       do ip=1,Npoints    
+   DO icl=1,numMISRHgtBins
+      DO k=1,Nlvgrid
+       DO ip=1,Npoints
       tmp_fi4da_misr(ip,icl,k)=cospOUT%misr_fq(ip,k,icl)
        enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_read_outputkeys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_read_outputkeys.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_read_outputkeys.F90	(revision 5158)
@@ -29,5 +29,5 @@
          Lcloudsat,        & ! CLOUDSAT simulator on/off switch 
          Lcalipso,         & ! CALIPSO simulator on/off switch 
-	 LgrLidar532,      & ! GROUND LIDAR simulator on/off switch
+     LgrLidar532,      & ! GROUND LIDAR simulator on/off switch
          Latlid,           & ! ATLID simulator on/off switch
          Lisccp,           & ! ISCCP simulator on/off switch
@@ -161,5 +161,5 @@
   integer :: i
                 
-   do i=1,107
+   DO i=1,107
       cfg%out_list(i)=''
    enddo
@@ -295,5 +295,5 @@
   integer :: i
 
-   do i=1,107
+   DO i=1,107
       cfg%out_list(i)=''
    enddo
@@ -490,5 +490,5 @@
                        Lptradarflag8,Lptradarflag9,Lradarpia
 
-  do i=1,107
+  DO i=1,107
     cfg%out_list(i)=''
   enddo
@@ -1062,5 +1062,5 @@
  IF (using_xios) THEN
 
-  do i=1,107
+  DO i=1,107
     cfg%out_list(i)=''
   enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_subsample_and_optics_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_subsample_and_optics_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_subsample_and_optics_mod.F90	(revision 5158)
@@ -142,7 +142,7 @@
        frac_cv(1:nPoints,1:nLevels) = 0._wp
        prec_cv(1:nPoints,1:nLevels) = 0._wp
-       do j=1,nPoints
-          do k=1,nLevels
-             do i=1,nColumns
+       DO j=1,nPoints
+          DO k=1,nLevels
+             DO i=1,nColumns
                 if (cospIN%frac_out(j,i,k)  .eq. 1)  frac_ls(j,k) = frac_ls(j,k)+1._wp
                 if (cospIN%frac_out(j,i,k)  .eq. 2)  frac_cv(j,k) = frac_cv(j,k)+1._wp
@@ -171,5 +171,5 @@
        Reff(:,:,:,:)     = 0._wp
        Np(:,:,:,:)       = 0._wp
-       do k=1,nColumns
+       DO k=1,nColumns
           ! Subcolumn cloud fraction
           column_frac_out = cospIN%frac_out(:,k,:)
@@ -214,6 +214,6 @@
        fl_ccrain(:,:) = 0._wp
        fl_ccsnow(:,:) = 0._wp
-       do k=1,nLevels
-          do j=1,nPoints
+       DO k=1,nLevels
+          DO j=1,nPoints
              ! In-cloud mixing ratios.
              if (frac_ls(j,k) .ne. 0.) then
@@ -359,6 +359,6 @@
        allocate(g_vol(nPoints,nLevels))
        g_vol(:,:)=0._wp
-       do i=1,nPoints
-          do j=1,nLevels
+       DO i=1,nPoints
+          DO j=1,nLevels
              if (cospIN%rcfg_cloudsat%use_gas_abs == 1 .or. (cospIN%rcfg_cloudsat%use_gas_abs == 2 .and. j .eq. 1)) then
                 g_vol(i,j) = gases(cospstateIN%pfull(i,j), cospstateIN%at(i,j),cospstateIN%qv(i,j),cospIN%rcfg_cloudsat%freq)
@@ -371,5 +371,5 @@
        allocate(fracPrecipIce(nPoints,nColumns,nLevels))
        fracPrecipIce(:,:,:) = 0._wp
-       do k=1,nColumns
+       DO k=1,nColumns
           call quickbeam_optics(sd, cospIN%rcfg_cloudsat, nPoints, nLevels, R_UNDEF,  &
                mr_hydro(:,k,:,1:nHydro)*1000._wp, Reff(:,k,:,1:nHydro)*1.e6_wp,&
@@ -406,6 +406,6 @@
 
        ! For near-surface diagnostics, we only need the frozen fraction at one layer.
-       do i=1,nPoints                                                                       !PREC_BUG
-	  cospIN%fracPrecipIce(i,:) = fracPrecipIce_statGrid(i,:,cloudsat_preclvl_index(i)) !PREC_BUG
+       DO i=1,nPoints                                                                       !PREC_BUG
+      cospIN%fracPrecipIce(i,:) = fracPrecipIce_statGrid(i,:,cloudsat_preclvl_index(i)) !PREC_BUG
        enddo                                                                                !PREC_BUG
 !       cospIN%fracPrecipIce(:,:) = fracPrecipIce_statGrid(:,:,cloudsat_preclvl)      !!! ORIGINAL
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/math_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/math_lib.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/math_lib.F90	(revision 5158)
@@ -96,5 +96,5 @@
     else
        sumo = 0._wp
-       do j=i1,i2
+       DO j=i1,i2
           deltah = abs(s(i1+1)-s(i1))
           sumo = sumo + f(j)*deltah
@@ -204,5 +204,5 @@
     end if
     
-    do i = 2, ntab
+    DO i = 2, ntab
        if ( xtab(i) <= xtab(i-1) ) then
           lerror = .true.
@@ -239,5 +239,5 @@
     ihi = ntab
     
-    do i = 1, ntab
+    DO i = 1, ntab
        if ( a <= xtab(i) ) then
           exit
@@ -249,5 +249,5 @@
     ilo = min ( ilo, ntab - 1 )
     
-    do i = 1, ntab
+    DO i = 1, ntab
        if ( xtab(i) <= b ) then
           exit
@@ -263,5 +263,5 @@
 !ds    sum1 = 0.0D+00
     
-    do i = ilo, ihi
+    DO i = ilo, ihi
        
        x1 = xtab(i-1)
@@ -371,5 +371,5 @@
           ga=1._wp
           m1=x-1
-          do k=2,m1
+          DO k=2,m1
              ga=ga*k
           enddo
@@ -382,5 +382,5 @@
           m=int(z)
           r=1._wp
-          do k=1,m
+          DO k=1,m
              r=r*(z-k)
           enddo
@@ -390,5 +390,5 @@
        endif
        gr=g(26)
-       do k=25,1,-1
+       DO k=25,1,-1
           gr=gr*z+g(k)
        enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/modis_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/modis_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/modis_simulator.F90	(revision 5158)
@@ -163,5 +163,5 @@
     cloudMask = retrievedTau(1:nSubCols) >= min_OpticalThickness
     
-    do i = 1, nSubCols
+    DO i = 1, nSubCols
        if(cloudMask(i)) then 
           ! ##################################################################################
@@ -380,5 +380,5 @@
     reffIceWRK(1:nPoints,1:nSubCols) = merge(particle_size,R_UNDEF,iceCloudMask)
     reffLiqWRK(1:nPoints,1:nSubCols) = merge(particle_size,R_UNDEF,waterCloudMask)
-    do j=1,nPoints
+    DO j=1,nPoints
 
        ! Fill clear and optically thin subcolumns with fill
@@ -439,5 +439,5 @@
     !   layers and use the trapezoidal rule.
     totalTau = 0._wp; totalProduct = 0._wp
-    do i = 2, size(tauIncrement)
+    DO i = 2, size(tauIncrement)
       if(totalTau + tauIncrement(i) > tauLimit) then 
         deltaX = tauLimit - totalTau
@@ -479,5 +479,5 @@
     ! Find the extinction-weighted value of f(tau), assuming constant f within each layer
     totalTau = 0._wp; totalProduct = 0._wp
-    do i = 1, size(tauIncrement)
+    DO i = 1, size(tauIncrement)
       if(totalTau + tauIncrement(i) > tauLimit) then 
         deltaX       = tauLimit - totalTau
@@ -712,5 +712,5 @@
     cloudMask(1:nLevels) = tau(1:nLevels) > 0. 
     cloudIndicies = pack((/ (i, i = 1, nLevels) /), mask = cloudMask) 
-    do i = 1, size(cloudIndicies)
+    DO i = 1, size(cloudIndicies)
        call two_stream(tau(cloudIndicies(i)), g(cloudIndicies(i)), w0(cloudIndicies(i)), Refl(i), Trans(i))
     end do
@@ -892,5 +892,5 @@
     Tran_cumulative(1) = Tran(1)    
     
-    do i=2, npts
+    DO i=2, npts
        ! place (add) previous combined layer(s) reflectance on top of layer i, w/black surface (or ignoring surface):
        Refl_cumulative(i) = Refl_cumulative(i-1) + Refl(i)*(Tran_cumulative(i-1)**2)/(1._wp - Refl_cumulative(i-1) * Refl(i))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/optics_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/optics_lib.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/optics_lib.F90	(revision 5158)
@@ -539,5 +539,5 @@
     if (alam < cutice) then
        ! Region from 0.045 microns to 167.0 microns - no temperature depend
-       do i=2,nwl
+       DO i=2,nwl
           if(alam < wl(i)) continue
        enddo
@@ -557,10 +557,10 @@
        if(tk > temref(1)) tk=temref(1)
        if(tk < temref(4)) tk=temref(4)
-       do i=2,4
+       DO i=2,4
           if(tk.ge.temref(i)) go to 12
        enddo
 12     lt1 = i
        lt2 = i-1
-       do i=2,nwlt
+       DO i=2,nwlt
           if(alam.le.wlt(i)) go to 14
        enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/parasol.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/parasol.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/parasol.F90	(revision 5158)
@@ -159,11 +159,11 @@
     ! Compute grid-box averaged Parasol reflectances
     parasolrefl(:,:) = 0._wp
-    do k = 1, nrefl
-       do ic = 1, ncol
+    DO k = 1, nrefl
+       DO ic = 1, ncol
           parasolrefl(:,k) = parasolrefl(:,k) + refl(:,ic,k)
        enddo
     enddo
     
-    do k = 1, nrefl
+    DO k = 1, nrefl
        parasolrefl(:,k) = parasolrefl(:,k) / float(ncol)
        ! if land=1 -> parasolrefl=R_UNDEF
